corda / net.corda.core.serialization / GlobalTransientClassWhiteList

# GlobalTransientClassWhiteList

`class GlobalTransientClassWhiteList : MutableClassWhitelist, ClassWhitelist`

### Constructors

<init> | `GlobalTransientClassWhiteList(delegate: ClassWhitelist)`

### Properties

delegate | `val delegate: ClassWhitelist`

### Functions

add | `fun add(entry: Class<*>): Unit`
hasListed | `fun hasListed(type: Class<*>): Boolean`

### Companion Object Properties

whitelist | `val whitelist: MutableSet<String>`